// LabPlot : labplot.qs
// enum definitions for scripts

//PType
const P2D = 0;
const PSURFACE = 1;
const P3D = 2;
const PGRASS = 3;
const PVTK = 4;
const PPIE = 5;
const PPOLAR = 6;
const PTERNARY = 7;
const PQWT3D = 8;

// GraphType
const GRAPH2D = 0;
const GRAPH3D = 1;
const GRAPHM = 2;
const GRAPHGRASS = 3;
const GRAPHVTK = 4;
const GRAPH4D = 5;
const GRAPHIMAGE = 6;
const GRAPHL = 7;

// TScale
const LINEAR = 0;
const LOG10 = 1;
const LOG2 = 2;
const LN = 3;
const SQRT = 4;
const SX2 = 5;
const S1X = 6;
const S1X2 = 7;

// SType
const SNONE = 0;
const SCROSS = 1;
const SDOT = 2;
const SPLUS = 3;
const SCIRCLE = 4;
const STRIANGLE = 5;
const SUTRIANGLE = 6;
const SRECT = 7;
const SSTAR = 8;
const SDIAMOND = 9;
const SMINUS = 10;
const SPIPE = 11;
const SLTRIANGLE = 12;
const SRTRIANGLE = 13;
const STRIANGLE1 = 14;
const STRIANGLE2 = 15;
const STRIANGLE3 = 16;
const STRIANGLE4 = 17;
const SUCIRCLE = 18;
const SDCIRCLE = 19;
const SSTAR2 = 20;
const SVBAR = 21;
const SHBAR = 22;
const SDIAG1 = 23;
const SDIAG2 = 24;
const SCROSS2 = 25;
const SDIAG3 = 26;
const SDIAG4 = 27;
const SCROSS3 = 28;
const SPARRIGHT = 29;
const SPARLEFT = 30;
const SHLEFTCIRCLE = 31;
const SHRIGHTCIRCLE = 32;
const SSMALLDIAMOND = 33;
const SROTDIAMOND = 34;
const SPENTA = 35;
const SPENTALEFT = 36;
const SPENTABOTTOM = 37;
const SPENTARIGHT = 38;
const SHEXAGON = 39;
const SVHEXAGON = 40;
const SSTAR3 = 41;
const SUARROW = 42;
const SLARROW = 43;
const SDARROW = 44;
const SRARROW = 45;
const SUHOUSE = 46;
const SLHOUSE = 47;
const SDHOUSE = 48;
const SRHOUSE = 49;

// FType
const FNONE = 0;
const FFULL = 1;
const FBOTTOM = 2;
const FTOP = 3;
const FLEFT = 4;
const FRIGHT = 5;
const FURIGHT = 6;
const FDLEFT = 7;
const FULEFT = 8;
const FDRIGHT = 9;

// TFormat
const AUTO = 0;
const NORMAL = 1;
const SCIENTIFIC = 2;
const POWER10 = 3;
const POWER2 = 4;
const POWERE = 5;
const FSQRT = 6;
const TIME = 7;
const DATE = 8;
const DATETIME = 9;
const DEGREE = 10;

// EXPORT
const EASCII = 0;
const ECDF = 1;
const ENETCDF = 2;
const EAUDIO = 3;
const EIMAGE = 4;
const EBINARY = 5;
const EKEXIDB = 6;

// Filter
const LOWPASS = 0;
const HIGHPASS = 1;
const BANDPASS = 2;
const BANDSTOP = 3;

// FModel
const MFLINEAR = 0;
const MEXP = 1;
const MPOT = 2;
const MLN = 3;
const M1L = 4;
const MEXP2 = 5;
const MGAUSSIAN = 6;
const MMAXWELL = 7;
const MPLANCK = 8;
const MLORENTZ = 9;
const MMULTIEXP2 = 10;
const MMULTIEXP3 = 11;
const MUSER = 12;

// Separator
const SAUTO = 0;
const SCOMMA = 1;
const STAB = 2;

// Comment
const CSHARP = 0;
const CBANG = 1;
const CCPP = 2;
const CADD = 3;
const CSLASH = 4;
const CCOMMENT = 5;
const CCOLON = 6;
const CSEMICOLON = 7;

// InputFilter
const FUSER = 0;
const FTDI = 1;
const FLECROY = 2;
const FLECROYXY = 3;
const FGOLDSTAR = 4;
const FHP41XX = 5;
const FBINARY = 6;
const FKEXIDB = 7;

//Input2D 
const I2DXY = 0;
const I2DXYDY = 1;
const I2DXYDXDY = 2;
const I2DXYDYDY = 3;
const I2DLINE = 4;
const I2DXYPX = 5;
const I2DXYPY = 6;

// InputSURFACE
const ISMATRIX = 0;
const ISIMAGE = 1;
const ISXYZ = 2;

// Input3D
const I3DXYZ = 0;
const I3DMATRIX = 1;

// InputQWT
const IQWTMATRIX = 0;
const IQWTXYZ = 1;

// ManipulationType
const ADAPTIVETHRESHOLD = 0;
const ADDNOISE = 1;
const BLUR = 2;
const BORDER = 3;
const CHARCOAL = 4;
const CHOP = 5;
const COLORIZE = 6;
const CONTRAST = 7;
const CYCLECOLORMAP = 8;
const DESPECKLE = 9;
const EDGE = 10;
const EMBOSS = 11;
const ENHANCE = 12;
const EQUALIZE = 13;
const ERASE = 14;
const FLIP = 15;
const FLOODFILLCOLOR = 16;
const FLOP = 17;
const MGAMMA = 18;
const GAUSSIANBLUR = 19;
const IMPLODE = 20;
const MAGNIFY = 21;
const MEDIANFILTER = 22;
const MINIFY = 23;
const MODULATE = 24;
const NEGATE = 25;
const NORMALIZE = 26;
const OILPAINT = 27;
const OPACITY = 28;
const QUANTIZE = 29;
const RAISE = 30;
const REDUCENOISE = 31;
const ROLL = 32;
const ROTATE = 33;
const SAMPLE = 34;
const SCALE = 35;
const SEGMENT = 36;
const SHADE = 37;
const SHARPEN = 38;
const SHAVE = 39;
const SHEAR = 40;
const SOLARIZE = 41;
const SPREAD = 42;
const SWIRL = 43;
const THRESHOLD = 44;
const TRANSFORM = 45;
const TRANSPARENT = 46;
const TRIM = 47;
const WAVE = 48;
const ZOOM = 49;

// Noise
const GAUSSIAN = 0;
const GAUSSIAN_TAIL = 1;
const EXPONENTIAL = 2;
const LAPLACE = 3;
const EXPONENTIAL_POWER = 4;
const CAUCHY = 5;
const RAYLEIGH = 6;
const RAYLEIGH_TAIL = 7;
const LANDAU = 8;
const LEVY = 9;
const LEVY_SKEW = 10;
const NGAMMA = 11;
const FLAT = 12;
const LOGNORMAL = 13;
const CHISQ = 14;
const FDIST = 15;
const TDIST = 16;
const BETA = 17;
const LOGISTIC = 18;
const PARETO = 19;
const WEIBULL = 20;
const GUMBEL1 = 21;
const GUMBEL2 = 22;
const POISSON = 23;
const BERNOULLI = 24;
const BINOMIAL = 25;
const BINOMIAL_NEG = 26;
const PASCAL = 27;
const GEOMETRIC = 28;
const HYPERGEOMETRIC = 29;
const LOGARITHMIC = 30;

// RModel
const MRLINEAR = 0;
const MQUADRATIC = 1;
const MCUBIC = 2;
const M4ORDER = 3;
const M5ORDER = 4;
const M6ORDER = 5;
const M7ORDER = 6;
const M8ORDER = 7;
const M9ORDER = 8;
const M10ORDER = 9;

// LSource
const SFUNCTION = 0;
const SDATA = 1;
const SSPREADSHEET = 2;

// Weight 
const WEQUAL = 0;
const WY = 1;
const WYY = 2;
const W1Y = 3;
const W1YY = 4;
const WX = 5;
const WXX = 6;
const W1X = 7;
const W1XX = 8;
const WERROR = 9;
const WUSER = 10;

// WidgetType 
const WWORKSHEET = 0;
const WSPREADSHEET = 1;

// WaveletTypes 
const DAUBECHIES = 0;
const DAUBECHIES_CENTERED = 1;
const HAAR = 2;
const HAAR_CENTERED = 3;
const BSLINE = 4;
const BSLINE_CENTERED = 5;

// BinaryType
const BDOUBLE = 0;
const BFLOAT = 1;
const BLONG = 2;
const BINT8 = 3;
const BINT16 = 4;
const BINT32 = 5;
const BINT64 = 6;

// BinaryOrder
const BIGENDIAN = 0;
const LITTLEENDIAN = 1;

// Errorbar Style
const EFLAT = 0;
const EARROW = 1;
const EY = 2;
